#!/usr/bin/env python3

from Cryptotools.Numbers.primeNumber import _millerRabinTest, _fermatLittleTheorem
from Cryptotools.Numbers.carmi import carmi_numbers, is_carmi_number, generate_carmi_numbers

print(_fermatLittleTheorem(1729))
print(_fermatLittleTheorem(1105))
print(_fermatLittleTheorem(6601))
print(_millerRabinTest(1729))

print(f"1729: {is_carmi_number(1729)}")
print(f"1105: {is_carmi_number(1105)}")
print(f"110:  {is_carmi_number(110)}")
print(f"2465: {is_carmi_number(2465)}")
print(f"6601: {is_carmi_number(6601)}")
#print(carmi_numbers(1729))
print(generate_carmi_numbers(10))
